---
updatedAt: 2026-09-08T10:21:10.000Z
agentTools:
  projectIndex: https://developers.tron.network/llms.txt
---

# GetAccountBalance

Get the account balance in a specific block.(Note: At present, the interface data can only be queried through the following official nodes 13.228.119.63 & 18.139.193.235 & 18.141.79.38 & 18.139.248.26)

## Related resources

* [Accountpermissionupdate](https://developers.tron.network/reference/accountpermissionupdate) — previous in this section
* [Accounts](https://developers.tron.network/docs/account) — account model
* [Blocks](https://developers.tron.network/docs/block) — balance lookup by block (uses block ID)

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "full-node-http-api",
    "version": "4.8.0"
  },
  "servers": [
    {
      "url": "https://api.shasta.trongrid.io",
      "description": "Shasta Testnet"
    },
    {
      "url": "https://nile.trongrid.io",
      "description": "Nile Testnet"
    },
    {
      "url": "https://api.trongrid.io",
      "description": "Mainnet (real assets)"
    }
  ],
  "components": {
    "schemas": {
      "NodeHttpBusinessError": {
        "title": "Error",
        "type": "object",
        "description": "When request processing fails, java-tron may return this format with HTTP 200; the `Error` field contains the error details.",
        "required": [
          "Error"
        ],
        "properties": {
          "Error": {
            "type": "string",
            "description": "Error text returned by java-tron."
          }
        },
        "examples": [
          {
            "Error": "Invalid request parameters."
          }
        ],
        "additionalProperties": false
      }
    }
  },
  "security": [
    {}
  ],
  "paths": {
    "/wallet/getaccountbalance": {
      "post": {
        "summary": "GetAccountBalance",
        "description": "Get the account balance in a specific block.(Note: At present, the interface data can only be queried through the following official nodes 13.228.119.63 & 18.139.193.235 & 18.141.79.38 & 18.139.248.26)",
        "operationId": "getaccountbalance",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "account_identifier": {
                    "type": "string",
                    "default": "",
                    "format": "json",
                    "description": "Object containing the account address.  Example: `{   \"address\": \"TLLM21wteSPs4hKjbxgmH1L6poyMjeTbHm\" }` "
                  },
                  "block_identifier": {
                    "type": "string",
                    "default": "",
                    "format": "json",
                    "description": "Object containing the block number and hash. Example: `{         \"hash\": \"0000000000010c4a732d1e215e87466271e425c86945783c3d3f122bfa5affd9\",         \"number\": 68682     }`"
                  },
                  "visible": {
                    "type": "boolean",
                    "description": "Optional. Set to `true` to format addresses in Base58; set to `false` for hex format. (Default: `false`)",
                    "default": ""
                  }
                },
                "required": [
                  "account_identifier",
                  "block_identifier"
                ]
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "When the request completes normally, the response body contains the endpoint result. If request processing raises an exception, the HTTP status may still be 200; in that case, the response body contains only the `Error` field.",
            "content": {
              "application/json": {
                "schema": {
                  "oneOf": [
                    {
                      "title": "Result",
                      "not": {
                        "type": "object",
                        "required": [
                          "Error"
                        ]
                      },
                      "type": "object",
                      "properties": {
                        "balance": {
                          "type": "integer",
                          "format": "int64",
                          "description": "TRX balance, in sun (1 TRX = 1,000,000 sun)."
                        },
                        "block_identifier": {
                          "type": "object",
                          "properties": {
                            "hash": {
                              "type": "string",
                              "description": "Block hash."
                            },
                            "number": {
                              "type": "integer",
                              "format": "int64",
                              "description": "Block number."
                            }
                          }
                        }
                      }
                    },
                    {
                      "$ref": "#/components/schemas/NodeHttpBusinessError"
                    }
                  ]
                },
                "examples": {
                  "Result": {
                    "value": "{\n    \"balance\": 64086449348265042,\n    \"block_identifier\": {\n        \"hash\": \"0000000000010c4a732d1e215e87466271e425c86945783c3d3f122bfa5affd9\",\n        \"number\": 68682\n    }\n}"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```